Bug 448230 - Review Request: xfce4-dict - A Dictionary Client for the Xfce desktop environment
Review Request: xfce4-dict - A Dictionary Client for the Xfce desktop environ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 15:28 EDT by Christoph Wickert
Modified: 2014-09-20 23:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 05:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-05-24 15:28:08 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-dict.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-dict-0.4.0-1.fc10.src.rpm
Description:
Xfce4 Dictionary is a client program to query different dictionaries. It can query a Dict server (RFC 2229), open online dictionaries in a web browser or verify the spelling of a word using aspell or ispell.

Note:
This is the successor of xfce4-dict-plugin (see bug # 215169). We now have a standalone application and a panel plugin to launch it. I have packaged the panel plugin as a subpackage, so the application can be used in different desktop environments. The name of the panel plugin still is xfce4-dict-plugin, so the new package will update the old plugin without the usual Obsoletes/Provides.
Comment 1 Kevin Fenzi 2008-05-24 22:11:58 EDT
I'd be happy to review this. Look for a full review in a bit.
Comment 2 Kevin Fenzi 2008-05-24 22:24:06 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
dbe99b8dbf918e401be41613b3012797  xfce4-dict-0.4.0.tar.gz
dbe99b8dbf918e401be41613b3012797  xfce4-dict-0.4.0.tar.gz.orig
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpmlint says:
xfce4-dict-plugin.i386: W: no-documentation

Can be ignored.

I see no issues or blockers here. This package is APPROVED.
Comment 3 Christoph Wickert 2008-05-24 22:32:29 EDT
New Package CVS Request
=======================
Package Name: xfce4-dict
Short Description: A Dictionary Client for the Xfce desktop environment
Owners: cwickert
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-05-25 17:20:09 EDT
cvs done. 

Don't forget to follow the end of life procedure on the xfce4-dict-plugin package.
Comment 5 Christoph Wickert 2008-05-26 05:58:18 EDT
Builds for F8, F9 and devel done. Thanks for the review!
Comment 6 Mukundan Ragavan 2014-09-20 23:12:57 EDT
Package Change Request
======================
Package Name: xfce4-dict
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 7 Gwyn Ciesla 2014-09-20 23:30:04 EDT
Branch already exists.

Note You need to log in before you can comment on or make changes to this bug.